# FTXUI: linear_gradient.cpp File Reference

Loading...
Searching...
No Matches
linear_gradient.cpp File Reference

Go to the source code of this file.

## Namespaces

namespace | ftxui
| The FTXUI ftxui:: namespace.

## Functions

Element | color (const LinearGradient &gradient, Element child)
| Set the foreground color of an element with linear-gradient effect.
Element | bgcolor (const LinearGradient &gradient, Element child)
| Set the background color of an element with linear-gradient effect.
Decorator | color (const LinearGradient &gradient)
| Decorate using a linear-gradient effect on the foreground color.
Decorator | bgcolor (const LinearGradient &gradient)
| Decorate using a linear-gradient effect on the background color.

## Variable Documentation

## angle

float angle = 0.F

Examples
  examples/component/linear_gradient_gallery.cpp.

Definition at line 23 of file src/ftxui/dom/linear_gradient.cpp.

## colors

std::vector<Color> colors

Definition at line 24 of file src/ftxui/dom/linear_gradient.cpp.

## positions

std::vector<float> positions

Definition at line 25 of file src/ftxui/dom/linear_gradient.cpp.